# Class DecryptedMessageWithPubKey

#### Hierarchy

- unknown
  - DecryptedMessageWithPubKey

- Defined in src/protobuf/pb_pb.d.ts:2215
- Defined in src/protobuf/pb_pb.d.ts:2234

#####
Index

### Constructors

constructor

### Methods

clearNetworkEnvelope
getNetworkEnvelope
getSignaturePubKeyBytes
getSignaturePubKeyBytes_asB64
getSignaturePubKeyBytes_asU8
hasNetworkEnvelope
serializeBinary
setNetworkEnvelope
setSignaturePubKeyBytes
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DecryptedMessageWithPubKey(): DecryptedMessageWithPubKey

- #### Returns DecryptedMessageWithPubKey

  Inherited from jspb.Message.constructor

## Methods

### clearNetworkEnvelope

- clearNetworkEnvelope(): DecryptedMessageWithPubKey

- #### Returns DecryptedMessageWithPubKey

  - Defined in src/protobuf/pb_pb.d.ts:2219

### getNetworkEnvelope

- getNetworkEnvelope(): undefined | NetworkEnvelope

- #### Returns undefined | NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:2216

### getSignaturePubKeyBytes

- getSignaturePubKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2221

### getSignaturePubKeyBytes_asB64

- getSignaturePubKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2223

### getSignaturePubKeyBytes_asU8

- getSignaturePubKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2222

### hasNetworkEnvelope

- hasNetworkEnvelope(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2218

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2226

### setNetworkEnvelope

- setNetworkEnvelope(value?: NetworkEnvelope): DecryptedMessageWithPubKey

- #### Parameters

  - ##### `Optional` value: NetworkEnvelope

  #### Returns DecryptedMessageWithPubKey

  - Defined in src/protobuf/pb_pb.d.ts:2217

### setSignaturePubKeyBytes

- setSignaturePubKeyBytes(value: string | Uint8Array): DecryptedMessageWithPubKey

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DecryptedMessageWithPubKey

  - Defined in src/protobuf/pb_pb.d.ts:2224

### toObject

- toObject(includeInstance?: boolean): DecryptedMessageWithPubKey.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DecryptedMessageWithPubKey.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2227

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DecryptedMessageWithPubKey

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DecryptedMessageWithPubKey

  - Defined in src/protobuf/pb_pb.d.ts:2230

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DecryptedMessageWithPubKey, reader: BinaryReader): DecryptedMessageWithPubKey

- #### Parameters

  - ##### message: DecryptedMessageWithPubKey

  - ##### reader: BinaryReader

  #### Returns DecryptedMessageWithPubKey

  - Defined in src/protobuf/pb_pb.d.ts:2231

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DecryptedMessageWithPubKey, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DecryptedMessageWithPubKey

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2229

### `Static` toObject

- toObject(includeInstance: boolean, msg: DecryptedMessageWithPubKey): DecryptedMessageWithPubKey.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DecryptedMessageWithPubKey

  #### Returns DecryptedMessageWithPubKey.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2228

Generated using TypeDoc